## org.eclipse.jst.jsf.common.util
Class JDTBeanPropertyWorkingCopy

    java.lang.Object
      org.eclipse.jst.jsf.common.util.JDTBeanProperty
          org.eclipse.jst.jsf.common.util.JDTBeanPropertyWorkingCopy

    public class JDTBeanPropertyWorkingCopy

extends JDTBeanProperty

A writable version of the JDTBeanProperty object This class may not be sub-classed by clients

Constructor Summary
`JDTBeanPropertyWorkingCopy(IType type)` Constructor
`JDTBeanPropertyWorkingCopy(IType type, java.util.Map<java.lang.String,java.lang.String> resolvedSignatureMap)`

Method Summary
`void` `addSetter(IMethod setter)`
`IMethod` `getIsGetter()`
`IMethod` `getSetter()` Not supported on working copy.
`void` `setGetter(IMethod getter)` Set the get accessor IMethod
`void` `setIsGetter(IMethod isGetter)`
`JDTBeanProperty` `toValueObject()`

Methods inherited from class org.eclipse.jst.jsf.common.util.JDTBeanProperty
`getArrayCount, getGetter, getType, getTypeParameterSignatures, getTypeSignature, getTypeSignature, isEnumType, isReadable, isWritable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDTBeanPropertyWorkingCopy

    public JDTBeanPropertyWorkingCopy(IType type,
                                      java.util.Map<java.lang.String,java.lang.String> resolvedSignatureMap)

Parameters:
  `type` -
  `resolvedSignatureMap` -

### JDTBeanPropertyWorkingCopy

    public JDTBeanPropertyWorkingCopy(IType type)

  Constructor

  Parameters:
    `type` -

Method Detail

### toValueObject

    public JDTBeanProperty toValueObject()

  Returns:
    the bean properties spawned from this working copy Normally, there is only one property in the array, however, since this working copy represents all properties with the same name, there could be multiple properties since setters can be overloaded by name and could result in zero or one readable properties plus zero or more write-only properties with the same name. I can't see anywhere in the spec that covers this boundary case

### setGetter

    public void setGetter(IMethod getter)

  Description copied from class: `JDTBeanProperty`
  Set the get accessor IMethod

  Parameters:
    `getter` - -- may be null to indicate none

### setIsGetter

    public void setIsGetter(IMethod isGetter)

  Parameters:
    `isGetter` -

### addSetter

    public void addSetter(IMethod setter)

  Parameters:
    `setter` -

### getSetter

    public final IMethod getSetter()

  Not supported on working copy. This is synthetically generated on toValueObject()

  Overrides:
    `getSetter` in class `JDTBeanProperty`
  Returns:
    nothing; throws exception

### getIsGetter

    public IMethod getIsGetter()

  Returns:
    the "is" getter method or null if not found